"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createLanguageService = void 0;
const base = require("@volar/typescript");
const vue = require("@vue/language-core");
function createLanguageService(host, vueCompilerOptions, ts) {
    const languageService = base.createLanguageService(host, vue.createLanguages(host.getCompilationSettings(), vueCompilerOptions, ts), ts);
    const getCompletionsAtPosition = languageService.getCompletionsAtPosition;
    languageService.getCompletionsAtPosition = (fileName, position, options) => {
        const result = getCompletionsAtPosition(fileName, position, options);
        if (result) {
            result.entries = result.entries.filter(entry => entry.name.indexOf('__VLS_') === -1);
        }
        return result;
    };
    return languageService;
}
exports.createLanguageService = createLanguageService;
//# sourceMappingURL=index.js.map